#include <bits/stdc++.h>

using namespace std;


int main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int n, l;
    cin >> n >> l;
    vector<int> H (n);
    for(int i = 0; i < n; i++){
        cin >> H[i];
    }
    
    bool moze = true;
    int i = 0;
    
    while(i < n && moze){
        if(H[i] <= l){
            cout << i+1 << endl;
            moze = false;
        }
        i++;
    }
    
    if(moze)
        cout << -1 << endl;
    

    return 0;
}